#
# spec file for package xfce4-panel-plugin-systemload
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0
%define plugin_name xfce4-systemload-plugin

Name:           xfce4-panel-plugin-systemload
Version:        1.1.2
Release:        5.1
Summary:        System Load Monitoring Plugin for the Xfce Panel
License:        BSD-2-Clause
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.1/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(upower-glib)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Systemload plugin can display the current CPU load, used memory and swap
space as well as the system uptime in the panel.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{_smp_mflags} V=1

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libsystemload.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/xfce4/panel/plugins/libsystemload.so
%{_datadir}/xfce4/panel/plugins/systemload.desktop

%files lang -f %{name}.lang

%changelog
* Fri Nov 21 2014 gber@opensuse.org
- update to version 1.1.2
  - support upower 0.99
  - add a way to run a command when clicking on systemload plugin
  - pick up translation updates & fixes, especially DE locale
  - merge some OpenBSD compatibility patches
- drop obsolete xfce4-panel-plugin-systemload-upower-0.99.patch,
  xfce4-systemload-plugin-russian.patch
* Tue Jun 10 2014 gber@opensuse.org
- Add xfce4-panel-plugin-systemload-upower-0.99.patch in order to
  support upower >= 0.99 (bxo#10923)
* Fri May 31 2013 lazy.kent@opensuse.org
- Add xfce4-systemload-plugin-russian.patch: fix Russian
  translation (plural forms and one string).
* Sun Jul  1 2012 gber@opensuse.org
- update to version 1.1.1
  - simplify tooltip handling code
  - better compliance with panel plugin HIG
  - only set label angle with panel > 4.9
  - set plugin to small in all modes except deskbar modes
  - facilitate bringing up the configuration dialog
  - fix background transparency by setting the main evbox hidden
  - changing uptime label orientation in the vertical mode
  - compatibility with panel 4.9+
* Fri Apr 20 2012 gber@opensuse.org
- corrected license
* Wed Apr 18 2012 gber@opensuse.org
- update to version 1.1.0
  - fix progressbar width in vertical mode
  - added about dialog
  - use a single label to show uptime, either 'X days' (if > 0) or
    'hh:mm'
  - build the plugin as a module
  - added a power-saving interval option using upower (if present
    at build time)
  - added an update interval option
  - rewritten configuration dialog
  - conditional retrieval of system stats
  - port to libxfce4ui
  - fix transparency issues
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Wed Apr  4 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
